Bug 439590 - ia64 kernel: properly install files when executing 'make install'
ia64 kernel: properly install files when executing 'make install'
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
: Tracking
Depends On: 227711
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 09:07 EDT by Prarit Bhargava
Modified: 2009-12-09 09:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 09:30:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (332 bytes, patch)
2008-03-29 09:07 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (2.47 KB, patch)
2008-04-09 15:35 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2008-03-29 09:07:51 EDT
Description of problem:

When executing 'make install' the files are installed in /boot and
/boot/efi/efi/redhat.  Let's fix this and get everything in the right spot in
/boot/efi/efi/redhat.

This patch is co-dependent on the patch in 227711.

P.
Comment 1 Prarit Bhargava 2008-03-29 09:07:51 EDT
Created attachment 299572 [details]
RHEL5 fix for this issue
Comment 2 Prarit Bhargava 2008-03-29 09:46:48 EDT
Current execution of 'make install' on ia64 result in the vmlinuz, System.map
and initrd files being installed in different locations.  After 'make install'
a user must manually copy the vmlinuz into /boot/efi/efi/redhat (on RH systems).

Obviously, this is tedious and I'd like us to finally fix it.

Currently, after executing 'make install':

[root@altix3 boot]# pwd
/boot
[root@altix3 boot]# find | grep prep
./vmlinuz-2.6.18-prep
./System.map-2.6.18-prep
./efi/efi/redhat/initrd-2.6.18-prep.img

As you can see, the only file in the "right" place is the initrd.

In order to fix this changes were required to mkinitrd and to the kernel
arch/ia64/Makefile*.

These changes included

- modifying installkernel to install to properly install the vmlinuz and
System.map
- cleaning up dead code in installkernel (cfgLoader, AFAICT, is unused)
- modifying new-kernel-pkg to properly use the right System.map location
when running depmod

After my changes [on IA64]:

[root@altix3 boot]# pwd
/boot
[root@altix3 boot]# find | grep prep
./efi/efi/redhat/vmlinuz-2.6.18-prep
./efi/efi/redhat/System.map-2.6.18-prep
./efi/efi/redhat/initrd-2.6.18-prep.img

After my changes [ on x86_64 -- sanity test to make sure nothing is broken]:

[root@hp-dl360g5-01 boot]# pwd
/boot
[root@hp-dl360g5-01 boot]# find | grep prep
./initrd-2.6.18-prep.img
./System.map-2.6.18-prep
./vmlinuz-2.6.18-prep

An additional note: _If_ for some reason the kernel changes specified in 439590
do not make it in, the _current_ behavior is preserved.

P.
Comment 5 Prarit Bhargava 2008-04-09 15:21:38 EDT
This is open for 5.3 -- changes to the kernel spec are required.
Comment 6 Prarit Bhargava 2008-04-09 15:35:42 EDT
Created attachment 301886 [details]
RHEL5 fix for this issue

kernel-2.6.spec changes required for this fix.
Comment 7 Prarit Bhargava 2008-04-09 15:36:52 EDT
These changes must happen at the same time the changes in 227711 occur.
Comment 8 RHEL Product and Program Management 2008-07-25 13:05:03 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Ludek Smid 2008-07-25 17:54:54 EDT
Unfortunately the previous automated notification about the
non-inclusion of this request in Red Hat Enterprise Linux 5.3 used
the wrong text template. It should have read: this request has been
reviewed by Product Management and is not planned for inclusion
in the current minor release of Red Hat Enterprise Linux.

If you would like this request to be reviewed for the next minor
release, ask your support representative to set the next rhel-x.y
flag to "?" or raise an exception.
Comment 10 Prarit Bhargava 2009-12-09 09:30:22 EST
We're never going to get this fixed.

P.

Note You need to log in before you can comment on or make changes to this bug.